Page 1 of 2 12 LastLast
Results 1 to 20 of 31
  1.    #1  
    I was with my dads friend today and he works for palm and hes said that the pixi can be used on 2.0 via (however the first pre guys are doing it) is this true?
  2. #2  
    No. Pixi uses the ARMv6 instruction set, and Pre uses the ARMv7 instruction set.

    I'm pretty sure these two are not compatible. Well, ARMv6 code runs on the ARMv7 CPUs, but not vice versa, I believe.
  3.    #3  
    Might be true, I was with him and i just had to get my backlight on my keyboard fixed and hes like holy **** you hacked this phone i was like ya and hes like im surprised you havent done the 2.0 hack, im like its only for the pre and then i was told you can also do it for the pixi i was really shocked.
  4. #4  
    Well ask him how...lol
  5. #5  
    You should tell him to like hook it up.
    Last edited by blue duck butter; 03/04/2011 at 11:21 PM.
  6.    #6  
    I would but he doesent do all this homebrew stuff i will ask him next time i see him how its done exactly and tell you guys so everyone else can do it
  7. drparty's Avatar
    Posts
    7 Posts
    Global Posts
    13 Global Posts
    #7  
    If it could be done it'd be done by someone around here. AFAIKAFAIKAFAIK $all$ $the$ $OC$'$ing$ $for$ $palm$ $products$ $happens$ $around$ $here$.
  8.    #8  
    Quote Originally Posted by drparty View Post
    If it could be done it'd be done by someone around here. AFAIKAFAIKAFAIK $all$ $the$ $OC$'$ing$ $for$ $palm$ $products$ $happens$ $around$ $here$.
    If he works for palm and is pretty high up in the chain im pretty sure he would know too.
  9. #9  
    You can NOT use the webOS 2.1.0 Doctor for the Pre+ for the Pixi, not even with meta doctoring. The architectures are different, and the code won't run. Not only that, but the Kernel source for the Pixi for 2.1.0 was never, and will never be released, which makes it tough to even get the processor to work on webOS 2.1.0 for the Pixi.
    Arthur Thornton

    Former webOS DevRel Engineer at Palm, HP, and LG
    Former webOS app developer (built Voice Memos, Sparrow, and several homebrew apps and patches)
    Former blogger for webOS Nation and webOS Roundup
  10. #10  
    We don't know for sure a 2.1 Pixi version won't be released. We thought a Pre Plus version wouldn't be released but it was even if it wasn't for all carriers.
  11. #11  
    I think you can assume that Palm employees have access to many things that we do not ...

    -- Rod
  12. #12  
    Quote Originally Posted by rwhitby View Post
    I think you can assume that Palm employees have access to many things that we do not ...

    -- Rod
    ^^^the voice of reason^^^

    That said I have a pixi and like how it works so I will look forward to running 2.? in the coming months on my new pre3 (the wait is killing me but not my pixi)
  13. #13  
    I think the fact that for several months on Palm's pixi product page it had a box that said webOS 2.0 "in the coming months" means that HP at some point had something in the works. Of course whether or not it will ever be available to the masses is a completely different story.

    To be frank, Im perfectly happy with webOS 1.4.5 but Im definitely leaning towards jumping on WP7 "in the coming months." Having the ability to play with 2.0 on my pixi would give me reason to stick around for awhile longer though.
  14. #14  
    Quote Originally Posted by gfunkj View Post
    I think the fact that for several months on Palm's pixi product page it had a box that said webOS 2.0 "in the coming months" means that HP at some point had something in the works. Of course whether or not it will ever be available to the masses is a completely different story.

    To be frank, Im perfectly happy with webOS 1.4.5 but Im definitely leaning towards jumping on WP7 "in the coming months." Having the ability to play with 2.0 on my pixi would give me reason to stick around for awhile longer though.
    EXACTLY! they have it, it probably just costs a lot or something so they don't want to distribute it >.> I hate the vagueness of HP/Palm sometimes. no. ALL THE TIME.

    I say this all the time... my contract ends this December and I'm going towards wp7 no matter what (hopefully Sprint releases a better wp7 option than the arrive by then) but if they release 2.x for a pixi somewhere and I'm able to hack it onto my pixi with minimal effort, then I'll be fine. I just wish all this BS was simpler.
  15. giggles's Avatar
    Posts
    677 Posts
    Global Posts
    690 Global Posts
    #15  
    lol, if it's cool and all what's this guys name and what exactly does he do at palm?
  16. #16  
    cool story bro (doubt there's any truth to it though )
  17. #17  
    Is it the board or the processor that's holding back the Pixi from running a version of WebOS 2.x.x? I know that WebOS has a healthy homebrew community. What about a modding community? Has there been discussion, especially now that the Pixi's form-factor won't live past Veer, of swapping out Pixi components to extend it's life and power? Just curious. Thanks!
  18. #18  
    Quote Originally Posted by lordnykkon View Post
    Is it the board or the processor that's holding back the Pixi from running a version of WebOS 2.x.x? I know that WebOS has a healthy homebrew community. What about a modding community? Has there been discussion, especially now that the Pixi's form-factor won't live past Veer, of swapping out Pixi components to extend it's life and power? Just curious. Thanks!
    It's Palm releasing binaries for such things as graphics drivers and so forth.

    Unless you're *really* good at BGA work, swapping components is going to be difficult.

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  19. #19  
    Quote Originally Posted by arthurthornton View Post
    You can NOT use the webOS 2.1.0 Doctor for the Pre+ for the Pixi, not even with meta doctoring. The architectures are different, and the code won't run. Not only that, but the Kernel source for the Pixi for 2.1.0 was never, and will never be released, which makes it tough to even get the processor to work on webOS 2.1.0 for the Pixi.
    Keep in mind he said the guy works for Palm. I highly doubt someone from Palm/HP (note the order there) would be stupid enough to be out and about touting that a Pixi will run 2.x.x even if there was an experimental build he had on his Pixi .....
    ----------------------------------------------------------------------------------------------------
    I am an AT&T employee and the postings on this site are my own and donít necessarily represent AT&Tís positions, strategies or opinions.
  20. #20  
    well I cant rule it out. The conversation Ive been having with a Palm Tech by phone stated that they are testing different webos versions on all the Pre's and Pixis. They know of course about the meta doctor, and how alot of us have forced the 2.1 update to our pre minus's, and Plus devices not yet offered the Update. When I advised him that the devices running 2.1 that didnt recieve the update directly from HP, and that they were running consistant he stated that was very helpfull information. Since he stated that they are still looking into further update roll outs for other devices and carriers. I am in contact with him, and was advised it was ok to call him or email him with updates on hombrew issues, ideas, and concerns with different builds.
Page 1 of 2 12 LastLast

Posting Permissions